Subject: Re: [PATCH 2/2] git-am: add --message-id/--no-message-id

From: Paolo Bonzini <[email-masked]>
Date: Wed, 26 Nov 2014 08:06:14 +0100

On 26/11/2014 00:34, Junio C Hamano wrote:
> ... makes the result look questionable.  The variable is initialized
> to empty; when it is written out to $dotest/messageid and later read
> back here, that empty value is not covered by this case statement.
> 
> Perhaps clearing messageid= upon seeing "--no-message-id" and using
> "'t' or empty" makes the code a bit easier to follow?  I dunno.

Possibly.  The other side is that it would be handled differently than
scissors and keep.  Changing everything is possible but would break
continuing a "git am" operation across an update, so I chose consistency.

Paolo